Subject: Re: [EGIT] [PATCH] Make sure that the commit message has Unix format line

From: "Ferry Huberts (Pelagic)" <[email-masked]>
Date: Wed, 11 Feb 2009 19:14:00 +0100

Shawn O. Pearce wrote:
> "Ferry Huberts (Pelagic)" <[email-masked]> wrote:
>   
>> From 2ad66e099fb35ad9a0d97e553843434b68ec82c9 Mon Sep 17 00:00:00 2001 From: Ferry Huberts <[email-masked]>
>> Date: Wed, 11 Feb 2009 08:29:36 +0100
>> Subject: [PATCH] Make sure that the commit message has Unix format line delimiters
>>
>> Signed-off-by: Ferry Huberts <[email-masked]>
>>     
>
> Doesn't this change that I committed yesterday also fix this?
>
>   commit 72cb3bd763f17a7d9894a8443e05965ff5e77157
>   Author: Shawn O. Pearce <[email-masked]>
>   Date:   Tue Feb 10 09:13:06 2009 -0800
>
>     Append Signed-off-by text in the commit message editor
>
>     The user can see and edit the Signed-off-by line in the commit
>     dialog before committing.  Toggling the existing checkbox now
>     updates the message to add or remove the user's Signed-off-by
>     line, displaying the final message.
>
>     Updating the committer name and/or email also updates the
>     Signed-off-by line if it is present.
>
>     For new lines in the commit dialog, use Text.DELIMITER for
>     platform neutrality.
>
>     Signed-off-by: Yann Simon <[email-masked]>
>     Signed-off-by: Shawn O. Pearce <[email-masked]>
>
> Speaking of which, #@!*#@@!*@!!@@!#*, I amended the commit with
> something yesterday and it whacked Yann Simon off as the author
> of that patch and switch it to me.
>
> Crap.
>
>   
>>  .../egit/ui/internal/actions/CommitAction.java     |    2 +-
>>  1 files changed, 1 insertions(+), 1 deletions(-)
>>
>> diff --git a/org.spearce.egit.ui/src/org/spearce/egit/ui/internal/actions/CommitAction.java
>> b/org.spearce.egit.ui/src/org/spearce/egit/ui/internal/actions/CommitAction.java index 5996596..a14011a 100644 ---
>> a/org.spearce.egit.ui/src/org/spearce/egit/ui/internal/actions/CommitAction.java +++
>> b/org.spearce.egit.ui/src/org/spearce/egit/ui/internal/actions/CommitAction.java @@ -128,7 +128,7 @@ public void
>> run(IAction act) {
>>  		if (commitDialog.open() != IDialogConstants.OK_ID)
>>  			return;
>>
>> -		String commitMessage = commitDialog.getCommitMessage();
>> +		String commitMessage = commitDialog.getCommitMessage().replaceAll("\n\r|\r\n", "\n");
>>  		amending = commitDialog.isAmending();
>>  		try {
>>  			performCommit(commitDialog, commitMessage);
>>     
>
>   
I'm sorry about that. Appearently I was working with an out of date
repository and plugin.
  I also agree that fixing it in the getter is a better idea.
This was my first patch for egit, looking forward to more. I'll try to
double check better though :-)